<?php

/**
 * Class Xss
 */
class Xss
{

    /**
     * @var bool $register
     */
    static protected $register = false;
    /**
     * @var bool $init
     */
    static protected $init = false;
    /**
     * @var array $config
     */
    static protected $config;

    protected function __construct()
    {

    }

    public static function register()
    {
        if (self::$register == false) {
            include __DIR__ . '/helpers.php';
            self::$register = true;
        }
    }

    public static function config($config = array())
    {
        if (self::$init == false) {
            $default = array(
                'post' => true,
                'get' => true,
                'request_uri' => true,
                'except_bo' => true,
            );

            self::$config = array_merge($default, $config);
            self::$init = true;
        }
    }

    public static function handle()
    {
        self::register();
        self::config();


        if (array_key_exists('except_bo', self::$config) && self::$config['except_bo'] == true) {
            if (strpos($_SERVER['REQUEST_URI'], '/back/html/') !== false) {
                return false;
            }
        }

        if (array_key_exists('post', self::$config) && self::$config['post'] == true) {
            $_POST = array_map_deep("sanitize_full_special_chars", $_POST);
        }

        if (array_key_exists('get', self::$config) && self::$config['get'] == true) {
            $_GET = array_map_deep("sanitize_full_special_chars", $_GET);
        }

        if (array_key_exists('request_uri', self::$config) && self::$config['request_uri'] == true) {
            $_SERVER['REQUEST_URI'] = escape_url($_SERVER['REQUEST_URI']);
        }
    }
}
